Description

This patch enhances the Activity view by abbreviating lengthy quoted text in event descriptions. Instead of showing all the quoted

lines, it replaces them with `'> ...'`. This change helps show important information more clearly within the limited number of

characters.

The patch changes how descriptions are shown in the Activity view. It finds long sections of quoted text and shortens them. For

example:

In the current Activity view, it is displayed like this:

The same sentences ("Ruby is a dynamic, ...") are displayed twice.

 without-abbreviation@2x.png 

With this patch applied, it is displayed like this:

Quoted parts are abbreviated, and more of the comment section is displayed.

 with-abbreviation@2x.png 

This allows the Activity view to focus on displaying the most relevant information within a limited number of characters.

Associated revisions

Revision 23428 - 2025-01-02 03:44 - Go MAEDA

Abbreviate quoted text in descriptions in Activity view (#42043).

Patch by Go MAEDA (user:maeda).

History

#1 - 2024-12-26 04:42 - Go MAEDA

- File 0002-Abbreviate-quoted-text-in-descriptions-in-Activity-v.patch added

I have updated the patch to keep the first line of quoted text while combining the rest into > ....

This makes it easy for readers to understand the context of the comment that follows the quoted text.

Example:

Assume the original comment is as follows.

John Smith wrote in #note-1:

> The quick brown fox

> jumps over the lazy dog.

Brick quiz whangs jumpy veldt fox.

> The five

> boxing wizards

> jump quickly.

The quick onyx goblin jumps over the lazy dwarf.

 In the Activity view, it is displayed as follows. The first line of the quoted text is retained, and subsequent lines are omitted and shown as > .... In the

previous patch, the entire quoted text was replaced with > ..., which sometimes made it difficult to understand the context of the comment.

John Smith wrote in #note-1:
> The quick brown fox

> ...

Brick quiz whangs jumpy veldt fox.

> The five

> ...

The quick onyx goblin jumps over the lazy dwarf.

#2 - 2024-12-26 04:55 - Go MAEDA

- File with-abbreviation-preserve-first-line@2x.png added

This is a screenshot of the new patch in #note-1.

 with-abbreviation-preserve-first-line@2x.png 

#3 - 2024-12-29 05:54 - Go MAEDA

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

#4 - 2025-01-02 03:45 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23428.

#5 - 2025-01-02 03:45 - Go MAEDA

- Status changed from Resolved to Closed
